#pragma once
#include "Vector3.h"

namespace Gedeng {

class Path {
  public:
    // Return a Vector3 on the path. `t` should be between 0 (path begin) and 1
    // (path end).
    Vector3 get_interpolated_position(float t) const;

    // Return the number of Vector3's which make up the path.
    unsigned int get_size() const;
};

} // namespace Gedeng
